Extra prefixes not managed in query examples
Closed, ResolvedPublic

Description

When an example listed on https://www.mediawiki.org/wiki/Wikibase/Indexing/SPARQL_Query_Examples has an extra prefix, it is not used when selecting this example through the "Query Examples" selector of https://query.wikidata.org. Thus, the query ends with a java exception "QName '<some label>' uses an undefined prefix".

You can try with the following examples:

  • Aliases of properties which are used more than once (should have the prefix for skos:)
  • French people with an article on the English Wikipedia but not on the French one (should have the prefix for schema:)
Ash_Crow created this task.Oct 30 2015, 7:52 AM
Ash_Crow updated the task description. (Show Details)
Ash_Crow raised the priority of this task from to Needs Triage.
Ash_Crow added a subscriber: Ash_Crow.
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptOct 30 2015, 7:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 249974 had a related patch set uploaded (by Jonas Kress (WMDE)):
Insert extra prefixes from sample queries.

https://gerrit.wikimedia.org/r/249974

Jonas set Security to None.
Jonas added a subscriber: Lydia_Pintscher.
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Nov 2 2015, 2:41 PM
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Nov 2 2015, 7:56 PM

Change 249974 merged by jenkins-bot:
Insert extra prefixes from sample queries.

https://gerrit.wikimedia.org/r/249974

Jonas closed this task as Resolved.Nov 3 2015, 4:59 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 4:59 PM